Skip to main content
POST
Refund an off-ramp

Authorizations

Authorization
string
header
required

Cognito JWT token for regular user authentication

Path Parameters

offRampId
string
required

The off-ramp ID

Example:

"6a749a054c3b8fc5da595d21"

Body

How to refund the off-ramp.

  • credit: Return the funds to the user's Spritz balance.
  • account: Reissue the payout to a bank account (accountId, or the original account if omitted).

How to refund the off-ramp.

  • credit: Return the funds to the user's Spritz balance.
  • account: Reissue the payout to a bank account (accountId, or the original account if omitted).
method
enum<string>
required

Return the funds to the user's Spritz balance as credit.

Available options:
credit

Response

Response for status 200

id
string
required

Unique off-ramp identifier

Example:

"offramp_xyz789"

status
enum<string>
required
Available options:
awaiting_funding,
queued,
in_flight,
completed,
canceled,
failed,
reversed,
refunded
createdAt
string<date-time>
required
completedAt
string<date-time> | null
required

When the off-ramp was completed. Null until status is completed.

input
object | null
required

What the user paid — crypto asset and chain.

output
object
required

What the destination receives — fiat delivery details.

fiatDestination
required

Type of fiat destination.

  • bank_account: Bank account (includes debit card destinations).
  • bill: Bill payment.
  • crypto_card: Crypto card deposit.
Available options:
bank_account
Example:

"bank_account"

fees
object | null
required
transaction
object | null
required